mixin paginacao(paginacao, form)
    -var limit = parseInt(paginacao.limit)
    -var skip = parseInt(paginacao.skip)
    -var count = parseInt(paginacao.count)
    -var finalPage = parseInt(count/limit)
    -var thisPage = skip > 0 ? parseInt(skip/limit) : 0
    -var pageStart = thisPage - 3 > 0 ? thisPage - 3 : 0
    -var pageEnd = pageStart + 6 < finalPage ? pageStart + 6 : finalPage
    if (pageStart - pageEnd < 6 && pageEnd - 6 > 0)
        -pageStart = pageEnd - 6
    -var page = pageStart
    //pre.text-center=JSON.stringify({limit, skip, count, finalPage, thisPage, pageStart, pageEnd})
    .row
        .col.text-center
            nav(aria-label='Paginação')
                ul.pagination.justify-content-center
                    +pageButton('', "pagina(0)", (thisPage === 0), false, "angle-double-left")
                    +pageButton('', "anterior()", false, (thisPage === 0), "angle-left")
                    while page <= pageEnd
                        if (page === thisPage)
                            +pageButton(page + 1, "", true)
                        else
                            +pageButton(page + 1, "pagina(" + page + ")")
                        - page++

                    +pageButton('', "proximo()", false, (thisPage === finalPage), "", "angle-right")
                    +pageButton('', "pagina(" + finalPage + ")", (thisPage === finalPage), false, "", "angle-double-right")
            p.text-muted.small=skip + " à " + (thisPage < finalPage ? skip + limit : count) + " de " + count

    script.
        var skip = #{skip},
            limit = #{limit},
            count = #{count},
            next = skip + limit,
            prior = skip - limit;

        var proximo = function () {
            if (next < count) {
                #{form}.skip.value = next
                #{form}.submit()
            }
        }

        var pagina = function (page) {
            #{form}.skip.value = page * limit
            #{form}.submit()
        }

        var anterior = function () {
            if (prior >= 0) {
                #{form}.skip.value = prior
                #{form}.submit()
            }
        }

mixin pageButton(page, click, active, disabled, iconPrior, iconNext)
    -var clazz = active ? "active " : ""
    -clazz += disabled ? "disabled " : ""
    li.page-item(class=clazz)
        button.page-link(onclick=!active ? click : "")
            if (iconPrior)
                i.fa(class="fa-" + iconPrior) &nbsp;
            =page
            if (iconNext)
                | &nbsp;
                i.fa(class="fa-" + iconNext)
            if (active)
                span.sr-only (current)
